root/trunk/website/css/tab.css @ 40

Revision 5, 2.3 kB (checked in by DanWilson, 17 years ago)

Initial Commit Of ModelGlue? Website (upgrade to blogcfc 511)

Line 
1/* $Id: example.css,v 1.5 2006/03/27 02:44:36 pat Exp $ */
2
3/*--------------------------------------------------
4  REQUIRED to hide the non-active tab content.
5  But do not hide them in the print stylesheet!
6  --------------------------------------------------*/
7.tabberlive .tabbertabhide {
8 display:none;
9}
10
11/*--------------------------------------------------
12  .tabber = before the tabber interface is set up
13  .tabberlive = after the tabber interface is set up
14  --------------------------------------------------*/
15.tabber {
16}
17.tabberlive {
18 padding-left: 5px;
19 padding-right: 5px;
20 margin-top:0.2em;
21}
22
23/*--------------------------------------------------
24  ul.tabbernav = the tab navigation list
25  li.tabberactive = the active tab
26  --------------------------------------------------*/
27ul.tabbernav
28{
29 margin:0;
30 padding: 3px 0;
31 border-bottom: 1px solid #778;
32 font: bold 12px Verdana, sans-serif;
33}
34
35ul.tabbernav li
36{
37 list-style: none;
38 margin: 0;
39 display: inline;
40}
41
42ul.tabbernav li a
43{
44 padding: 3px 0.5em;
45 margin-left: 3px;
46 border: 1px solid #778;
47 border-bottom: none;
48 background: #DDE;
49 text-decoration: none;
50}
51
52ul.tabbernav li a:link { color: #448; }
53ul.tabbernav li a:visited { color: #667; }
54
55ul.tabbernav li a:hover
56{
57 color: #000;
58 background: #AAE;
59 border-color: #227;
60}
61
62ul.tabbernav li.tabberactive a
63{
64 background-color: #fff;
65 border-bottom: 1px solid #fff;
66}
67
68ul.tabbernav li.tabberactive a:hover
69{
70 color: #000;
71 background: white;
72 border-bottom: 1px solid white;
73}
74
75/*--------------------------------------------------
76  .tabbertab = the tab content
77  Add style only after the tabber interface is set up (.tabberlive)
78  --------------------------------------------------*/
79.tabberlive .tabbertab {
80 padding:5px;
81 border:1px solid #aaa;
82 border-top:0;
83
84 /* If you don't want the tab size changing whenever a tab is changed
85    you can set a fixed height */
86
87 /* height:200px; */
88
89 /* If you set a fix height set overflow to auto and you will get a
90    scrollbar when necessary */
91
92 /*  overflow:auto; */
93}
94
95
96/* Example of using an ID to set different styles for the tabs on the page */
97.tabberlive#tab1 {
98}
99.tabberlive#tab2 {
100}
101.tabberlive#tab2 .tabbertab {
102 height:200px;
103 overflow:auto;
104}
Note: See TracBrowser for help on using the browser.